Opened 8 years ago

Last modified 7 years ago

#4995 new Bug

Compile with --disable-nls still fails on intltoolize.

Reported by: milosoftware Owned by:
Priority: Normal Milestone: None Set
Component: Transmission Version: 2.61
Severity: Normal Keywords: embedded compile
Cc: meokey1000@…

Description

I'm attempting to create an openembedded recipe to compile transmission for embedded systems. However, the "configure" part always fails with the following error:

| config.status: executing default-1 commands
| config.status: executing po/stamp-it commands
| config.status: error: po/Makefile.in.in was not created by intltoolize.

This is wrong in several ways:

  • I supplied "--disable-nls" so it should not need any internationalization tools
  • I have i18n and all the gettext stuff installed, and they're actively used for other applications, so it should have worked even though it isn't needed.
  • "po/Makefile.in.in" is a typo, I think (is it?), should be "po/Makefile.in" if i understand the script correctly.

(I also tried all of "--disable-gtk --without-gtk --disable-nls --without-nls --enable-lightweight --enable-daemon CPPFLAGS=-DTR_EMBEDDED" just to be sure configure got the point.)

Change History (2)

comment:1 Changed 7 years ago by meokey

  • Cc meokey1000@… added
  • Version changed from 2.61 to 2.77+

for me, I have a different error message at build 14074

[@vHost Transmission]$ ./configure ........... checking for sys/event.h... no checking sys/statvfs.h usability... yes checking sys/statvfs.h presence... yes checking for sys/statvfs.h... yes checking xfs/xfs.h usability... no checking xfs/xfs.h presence... no checking for xfs/xfs.h... no checking for clock_gettime in -lrt... yes checking µTP... yes checking supported miniupnp library... none configure: error: "--enable-nls requires intltool to be installed." [@vHost Transmission]$ ls /usr/local/bin/intltool* /usr/local/bin/intltool-extract /usr/local/bin/intltool-merge /usr/local/bin/intltool-update /usr/local/bin/intltoolize /usr/local/bin/intltool-prepare

comment:2 Changed 7 years ago by jordan

  • Version changed from 2.77+ to 2.61
Note: See TracTickets for help on using tickets.